UbixOS V2 2.0

Data Fields
i386_frame Struct Reference

`#include <tss.h>`

Collaboration diagram for i386_frame:

## Data Fields
uint32_t | cs
uint32_t | ds
uint32_t | eax
uint32_t | ebp
uint32_t | ebx
uint32_t | ecx
uint32_t | edi
uint32_t | edx
uint32_t | eip
uint32_t | es
uint32_t | esi
uint32_t | esp
uint32_t | flags
uint32_t | fs
uint32_t | gs
uint32_t | ss
uint32_t | user_esp
uint32_t | user_ss

## Detailed Description

Definition at line 84 of file tss.h.

## Field Documentation

## ◆ cs

uint32_t i386_frame::cs

Definition at line 103 of file tss.h.

## ◆ ds

uint32_t i386_frame::ds

Definition at line 88 of file tss.h.

## ◆ eax

uint32_t i386_frame::eax

Definition at line 97 of file tss.h.

## ◆ ebp

uint32_t i386_frame::ebp

Definition at line 92 of file tss.h.

Referenced by sysExec().

## ◆ ebx

uint32_t i386_frame::ebx

Definition at line 94 of file tss.h.

## ◆ ecx

uint32_t i386_frame::ecx

Definition at line 96 of file tss.h.

## ◆ edi

uint32_t i386_frame::edi

Definition at line 90 of file tss.h.

## ◆ edx

uint32_t i386_frame::edx

Definition at line 95 of file tss.h.

## ◆ eip

uint32_t i386_frame::eip

Definition at line 102 of file tss.h.

Referenced by sysExec().

## ◆ es

uint32_t i386_frame::es

Definition at line 87 of file tss.h.

## ◆ esi

uint32_t i386_frame::esi

Definition at line 91 of file tss.h.

## ◆ esp

uint32_t i386_frame::esp

Definition at line 93 of file tss.h.

## ◆ flags

uint32_t i386_frame::flags

Definition at line 104 of file tss.h.

## ◆ fs

uint32_t i386_frame::fs

Definition at line 86 of file tss.h.

## ◆ gs

uint32_t i386_frame::gs

Definition at line 85 of file tss.h.

## ◆ ss

uint32_t i386_frame::ss

Definition at line 89 of file tss.h.

## ◆ user_esp

uint32_t i386_frame::user_esp

Definition at line 105 of file tss.h.

Referenced by sysExec().

## ◆ user_ss

uint32_t i386_frame::user_ss

Definition at line 106 of file tss.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/tss.h